> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/affiliate-links/create.md).

# Create affiliate link

{% hint style="info" %}
Creating additional affiliate links is only available on [Growth and Enterprise plans](https://www.rewardful.com/pricing).
{% endhint %}

## Request

| Method | URL                                               |
| ------ | ------------------------------------------------- |
| `POST` | `https://api.getrewardful.com/v1/affiliate_links` |

### Parameters

| Parameter      | Required? | Description                                                                                                                                                   |
| -------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `affiliate_id` | Yes       | The ID of the affiliate this link should be associated with.                                                                                                  |
| `token`        | No        | Alphanumeric code to be used for this link. Must contain only letters, numbers, and dashes. A unique token will be generated if this parameter is left blank. |

### Example

```bash
curl --request POST \
  --url https://api.getrewardful.com/v1/affiliate_links \
  -u YOUR_API_SECRET: \
  -d affiliate_id=f46a912b-08bc-4332-8771-c857e11ad9dd \
  -d token=luke-skywalker
```

## Response

{% tabs %}
{% tab title="Success" %}

| Response code | Body                                                                                      |
| ------------- | ----------------------------------------------------------------------------------------- |
| 200           | An [affiliate link object](/rest-api/affiliate-links/the-affiliate-link-object.md) (JSON) |
| {% endtab %}  |                                                                                           |

{% tab title="Failures" %}

### Invalid parameters

| Response code | Body                                      |
| ------------- | ----------------------------------------- |
| `422`         | JSON object describing validation errors. |

```javascript
{
  "error": "Could not create affiliate link.",
  "details": ["Token is already in use."]
}
```

### Authentication failure

| `401` | Description of the authentication failure. |
| ----- | ------------------------------------------ |

```javascript
{  "error": "Invalid API Secret." }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliate-links/create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
